> For the complete documentation index, see [llms.txt](/llms.txt).

# Get repayment schedule for an offer

**GET** `https://www.iwoca.co.uk/api/lending/v2.2/offers/{offer_id}/repayment_schedule/`

Generates a repayment schedule for a given confirmed offer id. Will return a PDF if the Content-Type header is set to application/pdf.

## Path parameters
- `offer_id` (string, required)

## Query parameters
- `pay_off_early_on` (string) — Option to simulate early repayment, given in the format YYYY-MM-DD. When included in the request, the resulting repayment schedule simulates the customer making the normal minimum payments up until the specified date and then paying off the whole remaining amount on that date
- `amount` (number) — The amount of money the customer will draw down. If not included in the request this defaults to the max_amount of the offer.

## Responses
### 200 — Success
```json
{
  "data": {
    "amount_borrowed": 10000,
    "amount_saved_by_repaying_early": 602.98,
    "fee_percentage": 0,
    "monthly_interest_percentage": 1.5,
    "repayments": [
      {
        "amount": 917.72,
        "breakdown": {
          "fees": 0,
          "interest": 140,
          "principal": 777.72
        },
        "date": "2025-03-25"
      },
      {
        "amount": 917.72,
        "breakdown": {
          "fees": 0,
          "interest": 142.95,
          "principal": 774.77
        },
        "date": "2025-04-25"
      },
      {
        "amount": 8574.22,
        "breakdown": {
          "fees": 0,
          "interest": 126.71,
          "principal": 8447.51
        },
        "date": "2025-05-25"
      }
    ],
    "total_payable": 10409.66,
    "total_payable_breakdown": {
      "total_fees": 0,
      "total_interest": 409.66,
      "total_principal": 10000
    }
  }
}
```

### 400 — Bad Request
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {},
      "source": {
        "parameter": "string",
        "pointer": "string"
      }
    }
  ]
}
```

### 401 — Unauthorized
```json
{
  "errors": [
    {
      "code": "AuthenticationFailed",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 403 — Permission Denied
```json
{
  "errors": [
    {
      "code": "PermissionDenied",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 404 — Not Found
```json
{
  "errors": [
    {
      "code": "NotFound",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 406 — Not Acceptable
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 500 — Unexpected Error
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

## Example (curl)
```bash
curl 'https://www.iwoca.co.uk/api/lending/v2.2/offers/<offer_id>/repayment_schedule/?pay_off_early_on=<pay_off_early_on>&amount=<amount>' \
  --header 'Authorization: Bearer <api-key>'
```